javafx.scene.shape

## Interface ObservableFaceArray

- All Superinterfaces:
    Observable, ObservableArray<ObservableIntegerArray>, ObservableIntegerArray

      public interface ObservableFaceArray
      extends ObservableIntegerArray

  `ObservableFaceArray` is a `int[]` array that allows listeners to track changes when they occur. In order to track changes, the internal array is encapsulated and there is no direct access available from the outside. Bulk operations are supported but they always do a copy of the data range.
  Since:
    JavaFX 8.0
  See Also:
    `ArrayChangeListener`

- - ### Method Summary

    - ### Methods inherited from interface javafx.collections.ObservableIntegerArray

      `addAll, addAll, addAll, addAll, copyTo, copyTo, get, set, set, set, setAll, setAll, setAll, setAll, toArray, toArray`

    - ### Methods inherited from interface javafx.collections.ObservableArray

      `addListener, clear, ensureCapacity, removeListener, resize, size, trimToSize`

    - ### Methods inherited from interface javafx.beans.Observable

      `addListener, removeListener`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 2008, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.